# Class FITSFileDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.FITSDataNode
uk.ac.starlink.datanode.nodes.FITSFileDataNode

All Implemented Interfaces:
  `DataNode`

public class FITSFileDataNode extends FITSDataNode
An implementation of the `DataNode` interface for representing FITS objects stored on disk.

Version:
  $Id$
Author:
  Mark Taylor (Starlink)

## Nested Class Summary

### Nested classes/interfaces inherited from class FITSDataNode

`FITSDataNode.ArrayDataMaker`

## Constructor Summary

Constructors
Constructor
Description
`FITSFileDataNode(File file)`
`FITSFileDataNode(uk.ac.starlink.util.FileDataSource fdatsrc)`

## Method Summary

Modifier and Type
Method
Description
`protected FITSDataNode.ArrayDataMaker`
`getArrayData(long start, long size)`
Returns an ArrayDataMaker encapsulating the same input stream as the on one which this FITSDataNode is based, but starting at a given offset `start` into the stream and `size` bytes long.
`String`
`getName()`
Gets the name of this object.
`static uk.ac.starlink.util.FileDataSource`
`makeFileDataSource(File file)`

### Methods inherited from class FITSDataNode

`allowsChildren, getChildIterator, getDataInput, getDescription, getNodeTLA, getNodeType, getPathSeparator, isMagic`

### Methods inherited from class DefaultDataNode

`beep, configureDetail, getChildMaker, getCreator, getDataObject, getIcon, getLabel, getParentObject, getPathElement, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FITSFileDataNode

public FITSFileDataNode(uk.ac.starlink.util.FileDataSource fdatsrc) throws NoSuchDataException

Throws:
  `NoSuchDataException`

### FITSFileDataNode

public FITSFileDataNode(File file) throws NoSuchDataException

Throws:
  `NoSuchDataException`

## Method Details

### getName

public String getName()
Description copied from interface: `DataNode`
Gets the name of this object. This is an intrinsic property of the object.

Specified by:
  `getName` in interface `DataNode`
Overrides:
  `getName` in class `FITSDataNode`
Returns:
  the name of the object

### getArrayData

protected FITSDataNode.ArrayDataMaker getArrayData(long start, long size)
Description copied from class: `FITSDataNode`
Returns an ArrayDataMaker encapsulating the same input stream as the on one which this FITSDataNode is based, but starting at a given offset `start` into the stream and `size` bytes long.

Specified by:
  `getArrayData` in class `FITSDataNode`
Parameters:
  `start` - the offset into this FITSDataNode's stream at which the returned source's streams should start
  `size` - the number of bytes contained by the returned source's stream

### makeFileDataSource

public static uk.ac.starlink.util.FileDataSource makeFileDataSource(File file) throws NoSuchDataException

Throws:
  `NoSuchDataException`